{-# LANGUAGE NoImplicitPrelude #-}

module Web.Geek.ServeWithSnapServer where

import Air.Env
import Hack2
import Hack2.Contrib.Utils (use)
import Hack2.Handler.SnapServer
import Web.Geek.DemoMiddlewareStack
import Web.Geek.MarkupEngine.Markdown
import Web.Geek.Serve (serve)
import qualified Data.Default as Default

serve_with_snap_server :: IO ()
serve_with_snap_server = 
  let
    server_backend _app _port =
      runWithConfig Default.def {port = _port} _app
  in
  
  serve [markdown] demo_middleware_stack server_backend